#  -- bash header installed by automake --
#
# syslog2iptables   This script controls the syslog2iptables daemon.
#
#
# chkconfig: 2345 60 40
# description: syslog2iptables monitors syslog files, parses them, and update the iptables filters
# processname: syslog2iptables
# pidfile: /var/run/syslog2iptables.pid
# Source function library.
#
. /etc/rc.d/init.d/functions

# Source networking configuration.
. /etc/sysconfig/network

RETVAL=0
# See how we were called.
case "$1" in
    start)
        # Start daemons.
        echo -n "Starting syslog2iptables: "
        if [ ! -f /var/lock/subsys/syslog2iptables ]; then
            cd SYSCONFDIR   # conf file is here
            SBINDIR/syslog2iptables -d 3
            RETVAL=$?
            pid=`pidof -s SBINDIR/syslog2iptables`
            if [ $pid ]
            then
                success "Starting syslog2iptables :"
                touch /var/lock/subsys/syslog2iptables
                echo
            else
                failure "Starting syslog2iptables:"
                echo
            fi
        else
            echo -n "already running! "
            failure "syslog2iptables already running!"
            echo
        fi

        ;;
    stop)
        # Stop daemons.
        echo -n "Shutting down syslog2iptables: "
        killproc syslog2iptables
        RETVAL=$?
        echo
        [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/syslog2iptables
        ;;
    restart|reload)
        $0 stop
        $0 flush
        $0 start
        RETVAL=$?
        ;;
    flush)
        /sbin/iptables -F INPUT
        ;;
    status)
        status syslog2iptables
        RETVAL=$?
        ;;
    *)
        echo "Usage: syslog2iptables {start|stop|restart|status|flush}"
        exit 1
esac
exit $RETVAL

# $Id$
